Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.swt.widgets
Class DirectoryDialog

    java.lang.Object
      org.eclipse.swt.widgets.Dialog
          org.eclipse.swt.widgets.DirectoryDialog

public class DirectoryDialog
extends Dialog

Instances of this class allow the user to navigate the file system and select a directory.

Styles:
  (none)
Events:
  (none)

IMPORTANT: This class is intended to be subclassed only within the SWT implementation.

Constructor Summary
`DirectoryDialog(Shell parent)` Constructs a new instance of this class given only its parent.
`DirectoryDialog(Shell parent, int style)` Constructs a new instance of this class given its parent and a style value describing its behavior and appearance.

Method Summary
`String` | `getFilterPath()` Returns the path which the dialog will use to filter the directories it shows.
`String` | `getMessage()` Returns the dialog's message, which is a description of the purpose for which it was opened.
`String` | `open()` Makes the dialog visible and brings it to the front of the display.
`void` | `setFilterPath(String string)` Sets the path which the dialog will use to filter the directories it shows to the argument, which may be null.
`void` | `setMessage(String string)` Sets the dialog's message, which is a description of the purpose for which it was opened.

Methods inherited from class org.eclipse.swt.widgets.Dialog
`checkSubclass, getParent, getStyle, getText, setText`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DirectoryDialog

    public DirectoryDialog(Shell parent)

  Constructs a new instance of this class given only its parent.

Parameters:
  `parent` - a shell which will be the parent of the new instance
Throws:
  `IllegalArgumentException` -
  - ERROR_NULL_ARGUMENT - if the parent is null
  `SWTException` -
  - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the parent
  - ERROR_INVALID_SUBCLASS - if this class is not an allowed subclass

### DirectoryDialog

    public DirectoryDialog(Shell parent,
                           int style)

  Constructs a new instance of this class given its parent and a style value describing its behavior and appearance.

  The style value is either one of the style constants defined in class `SWT` which is applicable to instances of this class, or must be built by bitwise OR'ing together (that is, using the `int` "|" operator) two or more of those `SWT` style constants. The class description lists the style constants that are applicable to the class. Style bits are also inherited from superclasses.

Parameters:
  `parent` - a shell which will be the parent of the new instance
  `style` - the style of dialog to construct
Throws:
  `IllegalArgumentException` -
  - ERROR_NULL_ARGUMENT - if the parent is null
  `SWTException` -
  - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the parent
  - ERROR_INVALID_SUBCLASS - if this class is not an allowed subclass

Method Detail

### getFilterPath

    public String getFilterPath()

  Returns the path which the dialog will use to filter the directories it shows.

  Returns:
    the filter path

### getMessage

    public String getMessage()

  Returns the dialog's message, which is a description of the purpose for which it was opened. This message will be visible on the dialog while it is open.

  Returns:
    the message

### open

    public String open()

  Makes the dialog visible and brings it to the front of the display.

  Returns:
    a string describing the absolute path of the selected directory, or null if the dialog was cancelled or an error occurred
  Throws:
    `SWTException` -
    - ERROR_WIDGET_DISPOSED - if the dialog has been disposed
    - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the dialog

### setFilterPath

    public void setFilterPath(String string)

  Sets the path which the dialog will use to filter the directories it shows to the argument, which may be null.

  Parameters:
    `string` - the filter path

### setMessage

    public void setMessage(String string)

  Sets the dialog's message, which is a description of the purpose for which it was opened. This message will be visible on the dialog while it is open.

  Parameters:
    `string` - the message
  Throws:
    `IllegalArgumentException` -
    - ERROR_NULL_ARGUMENT - if the string is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.